package etf;
import java.io.Serializable;
import java.util.Date;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.validation.constraints.Future;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

@ManagedBean(name="placanje")
@SessionScoped
public class PaymentBean implements Serializable {
   @Min(1000) @Max(20500)
   private double iznos;
   private CreditCard brkartice = new CreditCard("");
   @Future
   private Date datum = new Date();

    public double getIznos() {
        return iznos;
    }

    public void setIznos(double iznos) {
        this.iznos = iznos;
    }

    public CreditCard getBrkartice() {
        return brkartice;
    }

    public void setBrkartice(CreditCard brkartice) {
        this.brkartice = brkartice;
    }

    public Date getDatum() {
        return datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }
}